Package org.eclipse.emf.cdo.explorer.checkouts

## Interface CDOCheckoutManager.CheckoutEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  All Known Subinterfaces:
    `CDOCheckoutManager.CheckoutInitializeEvent`, `CDOCheckoutManager.CheckoutStateEvent`
  Enclosing interface:
    CDOCheckoutManager

      public static interface CDOCheckoutManager.CheckoutEvent
      extends org.eclipse.net4j.util.event.IEvent

  Since:
    4.11
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCheckout` | `getCheckout()` |
    `CDOCheckoutManager` | `getSource()` |

- - ### Method Detail

    - #### getSource

          CDOCheckoutManager getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getCheckout

          CDOCheckout getCheckout()